<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/webpage/include/taglib.jsp"%>
<html>
<head>
	<title>请假申请管理</title>
	<meta name="decorator" content="ani"/>
	<!-- SUMMERNOTE -->
	<%@include file="/webpage/include/summernote.jsp" %>
	<script type="text/javascript">

		$(document).ready(function() {
			jp.ajaxForm("#inputForm",function(data){
				if(data.success){
					jp.success(data.msg);
					jp.go("${ctx}/managementcenter/divide");
				}else{
					jp.error(data.msg);
					$("#inputForm").find("button:submit").button("reset");
				}
			});


			$("#agree").click(function () {
				jp.prompt("没有问题, 审批意见", function (message) {
					jp.post("${ctx}/act/task/audit2",
							{
								"taskId":"${construction.act.taskId}",
								"taskName":"${construction.act.taskName}",
								"taskDefKey":"${construction.act.taskDefKey}",
								"procInsId":"${construction.act.procInsId}",
								"procDefId":"${construction.act.procDefId}",
								"flag":"yes",
								"comment":message

							},
							function (data) {
								if(data.success){
									jp.success(data.msg);
									jp.go("${ctx}/act/task/todo")
								}
							})
				})
			})


			$("#reject").click(function () {
				jp.prompt("存在问题, 审批意见", function (message) {
					jp.post("${ctx}/act/task/audit2",
							{
								"taskId":"${construction.act.taskId}",
								"taskName":"${construction.act.taskName}",
								"taskDefKey":"${construction.act.taskDefKey}",
								"procInsId":"${construction.act.procInsId}",
								"procDefId":"${construction.act.procDefId}",
								"flag":"no",
								"comment":message
							},
							function (data) {
								if(data.success){
									jp.success(data.msg);
									jp.go("${ctx}/act/task/todo")
								}
							})
				})
			})


			$('#startTime').datetimepicker({
				format: "YYYY-MM-DD HH:mm:ss"
			});
			$('#endTime').datetimepicker({
				format: "YYYY-MM-DD HH:mm:ss"
			});
			//富文本初始化
			$('#reason').summernote({
				height: 300,
				lang: 'zh-CN',
				readonly: true,
				callbacks: {
					onChange: function(contents, $editable) {
						$("input[name='reason']").val($('#reason').summernote('code'));//取富文本的值
					}
				}
			});
		});
	</script>
</head>
<body>
<div class="wrapper wrapper-content">
	<div class="row">
		<div class="col-md-12">
			<div class="panel panel-primary">
				<div class="panel-heading">
					<h3 class="panel-title">
						<a class="panelButton"  href="#"  onclick="history.go(-1)"><i class="ti-angle-left"></i> 返回</a>
					</h3>
				</div>
				<div class="panel-body">
					<div class="form-group text-center">
						<%--<h3>${oALeave.act.taskName}</h3>--%>
					</div>
					<form:form id="inputForm" modelAttribute="construction" action="${ctx}/managementcenter/divide/save" method="post" class="form-horizontal">
						<form:hidden path="id"/>
						<div class="form-group">
							<label class="col-sm-2 control-label"><font color="red">*</font>申请人：</label>
							<div class="col-sm-10">
									${fns:unescapeHtml(construction.userName)}
							</div>
						</div>
						<hr>
						<div class="form-group">
							<label class="col-sm-2 control-label"><font color="red">*</font>项目号：</label>
							<div class="col-sm-10">
									${fns:unescapeHtml(construction.projectId)}
							</div>
						</div>
						<hr>
						<div class="form-group">
							<label class="col-sm-2 control-label"><font color="red">*</font>项目名称：</label>
							<div class="col-sm-10">
									${fns:unescapeHtml(construction.projectName)}
							</div>
						</div>
						<hr>
						<div class="form-group">
							<label class="col-sm-2 control-label"><font color="red">*</font>接收图纸时间：</label>
							<div class="col-sm-10">
								<fmt:formatDate value="${construction.acceptDate}" pattern="yyyy-MM-dd HH:mm:ss"/>
							</div>
						</div>
						<hr>
						<div class="form-group">
							<label class="col-sm-2 control-label"><font color="red">*</font>备注说明：</label>
							<div class="col-sm-10">
									${fns:unescapeHtml(construction.examineDate)}
<%--								<fmt:formatDate value="${construction.examineDate}" pattern="yyyy-MM-dd HH:mm:ss"/>--%>
							</div>
						</div>
						<hr>
					</form:form>


					<c:if test="${construction.act.taskDefKey != '' && !construction.act.finishTask && construction.act.isNextGatewaty}">
						<div class="row">
							<div class="col-sm-3"></div>
							<div class="col-sm-6">
								<div class="form-group text-center">
									<input id="agree" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="没有问题" />&nbsp;
									<input id="reject" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="存在问题" />
								</div>
							</div>
						</div>
					</c:if>
					<c:if test="${construction.act.taskDefKey != '' && !construction.act.finishTask && !construction.act.isNextGatewaty}">
						<div class="row">
							<div class="col-sm-3"></div>
							<div class="col-sm-6">
								<div class="form-group text-center">
									<input id="agree" class="btn  btn-primary btn-lg btn-parsley" type="submit" value="办 理" />&nbsp;
								</div>
							</div>
						</div>
					</c:if>

					<c:if test="${not empty construction.id}">
						<act:flowChart procInsId="${construction.act.procInsId}"/>
						<act:histoicFlow procInsId="${construction.act.procInsId}" />
					</c:if>

				</div>
			</div>
		</div>
	</div>
</div>
</body>
</html>